Security update for sysstat

SUSE Security Update: Security update for sysstat
Announcement ID: SUSE-SU-2019:0806-1
Rating: low
References: #1117001 #1117260
Cross-References: CVE-2018-19416 CVE-2018-19517
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15
  • SUSE Linux Enterprise Module for Basesystem 15

An update that fixes two vulnerabilities is now available.

Description:

This update for sysstat fixes the following issues:
Security issues fixed:

  • CVE-2018-19416: Fixed out-of-bounds read during a memmove call inside the remap_struct function (bsc#1117001).
  • CVE-2018-19517: Fixed out-of-bounds read during a memset call inside the remap_struct function (bsc#1117260).

Patch Instructions:

To install this SUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-806=1
  • SUSE Linux Enterprise Module for Basesystem 15:
    zypper in -t patch SUSE-SLE-Module-Basesystem-15-2019-806=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
    • sysstat-debuginfo-12.0.2-3.6.12
    • sysstat-debugsource-12.0.2-3.6.12
    • sysstat-isag-12.0.2-3.6.12
  • SUSE Linux Enterprise Module for Basesystem 15 (aarch64 ppc64le s390x x86_64):
    • sysstat-12.0.2-3.6.12
    • sysstat-debuginfo-12.0.2-3.6.12
    • sysstat-debugsource-12.0.2-3.6.12

References: